Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class relevant_plans

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.relevant_plans

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class relevant_plans

extends DefaultInternalAction

Internal action: `.relevant_plans`.

Description: gets all relevant plans for some triggering event. This internal action is used, for example, to answer "askHow" messages.

Parameters:

- + trigger (trigger): the triggering event, enclosed by { and }.
- - plans (list of plan terms): the list of plan terms corresponding to the code of the relevant plans.
- - labels (list, optional): the list of labels of the plans.

Example:

- `.relevant_plans({+!go(X,Y)},LP)`: unifies LP with a list of all plans in the agent's plan library that are relevant for the triggering event `+!go(X,Y)`.
- `.relevant_plans({+!go(X,Y)},LP, LL)`: same as above but also unifies LL with a list of labels of plans in LP.

See Also:
  `add_plan`, `plan_label`, `remove_plan`, Serialized Form

Constructor Summary
`relevant_plans()`

Method Summary
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, checkArguments, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### relevant_plans

    public relevant_plans()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD